Subject: Re: bug#7098: Emacs24 crash with segmentation fault

From: Juanma Barranquero <[email-masked]>
Date: Sat, 25 Sep 2010 11:25:37 +0200

On Sat, Sep 25, 2010 at 10:23, Thierry Volpiatto
<[email-masked]> wrote:

> Yes, i will try first to find a day, i am actually on last commit of 20
> sept, if it crash i will go on last commit of 19 and so on.
> Once i find the good commit it should be easy to track all commits of
> one day, maybe with git-bisect between good and last bad.

A couple of questions:

- Are you using GCC 4.4.0 or later?
- Does the crash happen both with optimized and non-optimized builds?

I ask because I've been getting garbage collection crashes for a while
with non-optimized builds built with GCC 4.4.0, 4.5.0, 4.5.1, etc. The
problem disappears if I revert back to GCC 3.4.5 or build with
optimizations.

    Juanma